Subject: [sipcore] DANE and SIP

From: "Olle E. Johansson" <[email-masked]>
Date: Thu, 15 Oct 2015 09:19:24 +0200

Hi!

Yesterday RFC 7673 - "using DNS-based authentication of named entities (DANE) TLSA records with SRV records” was published. 

Section 5 clearly states that the SIP protocol in order to use DANE needs to have our own guidelines.

I let my draft expire, had too much to do and was waiting for this document to be published. Now there should not be any discussion about IF we need to publish a document, more about what type of document we need to write - if there’s any interest at all in supporting DANE in the SIP protocol.

I’ve seen at least one implementation of my draft, so there’s some interest out there.

My question is whether I should spend time on refreshing my draft - I guess there are some references to update and some text made redundant by RFC 7673 that did not exist at the time I wrote my draft.

Anyone interested in working on this?

/O